Get batch discount template list
https://api.unibee.dev/merchant/discount/batch/template/list
Get batch discount template list
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
discountType | array | No | Filter by discount_type, 1-percentage, 2-fixed_amount |
billingType | array | No | Filter by billing_type, 1-one-time, 2-recurring |
status | array | No | Filter by status, 1-editable, 2-active, 3-deactive, 4-expire, 10-archive |
codePrefix | string | No | Filter by code prefix |
searchKey | string | No | Search by code prefix or name |
currency | string | No | Filter by currency |
sortField | string | No | Sort field, gmt_create|gmt_modify, default gmt_modify |
sortType | string | No | Sort type, asc|desc, default desc |
page | integer | No | Page number, start from 0 |
count | integer | No | Count per page |
createTimeStart | integer | No | Filter by create time start, UTC timestamp in seconds |
createTimeEnd | integer | No | Filter by create time end, UTC timestamp in seconds |
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.activeTemplateCount | integer | Total count of active template codes |
data.templates | array | Batch template list |
data.total | integer | Total count |
data.totalChildCodeCount | integer | Total count of all child codes |
data.usageRate | number | Usage rate (usedChildCodeCount / totalChildCodeCount), 0-1 |
data.usedChildCodeCount | integer | Total count of used child codes |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by discount_type, 1-percentage, 2-fixed_amount
Filter by billing_type, 1-one-time, 2-recurring
Filter by status, 1-editable, 2-active, 3-deactive, 4-expire, 10-archive
Filter by code prefix
Search by code prefix or name
Filter by currency
Sort field, gmt_create|gmt_modify, default gmt_modify
Sort type, asc|desc, default desc
Page number, start from 0
Count per page
Filter by create time start, UTC timestamp in seconds
Filter by create time end, UTC timestamp in seconds